Skip to content

Api Gateway  >  Operations  >  get_resources

get_resources

Operation

get_resources async

get_resources(input: GetResourcesInput, plugins: list[Plugin] | None = None) -> GetResourcesOutput

Lists information about a collection of Resource resources.

Parameters:

Name Type Description Default
input GetResourcesInput

An instance of GetResourcesInput.

required
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
GetResourcesOutput

An instance of GetResourcesOutput.

Input

GetResourcesInput dataclass

Request to list information about a collection of resources.

Attributes

embed class-attribute instance-attribute
embed: list[str] | None = None

A query parameter used to retrieve the specified resources embedded in the returned Resources resource in the response. This embed parameter value is a list of comma-separated strings. Currently, the request supports only retrieval of the embedded Method resources this way. The query parameter value must be a single-valued list and contain the "methods" string. For example, GET /restapis/{restapi_id}/resources?embed=methods.

limit class-attribute instance-attribute
limit: int | None = None

The maximum number of returned results per page. The default value is 25 and the maximum value is 500.

position class-attribute instance-attribute
position: str | None = None

The current pagination position in the paged result set.

rest_api_id class-attribute instance-attribute
rest_api_id: str | None = None

The string identifier of the associated RestApi.

Output

GetResourcesOutput dataclass

Represents a collection of Resource resources.

Attributes

items class-attribute instance-attribute
items: list[Resource] | None = None

The current page of elements from this collection.

position class-attribute instance-attribute
position: str | None = None

The current pagination position in the paged result set.